di_tree Struct Reference
Di_tree

Tree. More...

## Data Fields

size_t | nnodes
di_tree_node * | root
di_compare_func * | key_compare_func
di_destroy_notify * | key_destroy_func
di_destroy_notify * | value_destroy_func

## Detailed Description

Tree.

## Field Documentation

## key_compare_func

di_compare_func* key_compare_func

key compare function

Referenced by di_tree_new_full().

## key_destroy_func

di_destroy_notify* key_destroy_func

key destroy function, may NULL

Referenced by di_tree_new_full().

## nnodes

size_t nnodes

number of nodes

Referenced by di_tree_insert(), di_tree_new_full(), and di_tree_size().

## root

di_tree_node* root

root node

Referenced by di_tree_destroy(), di_tree_foreach(), di_tree_insert(), di_tree_lookup(), and di_tree_new_full().

## value_destroy_func

di_destroy_notify* value_destroy_func

value destroy function, may NULL

Referenced by di_tree_new_full().